#!/bin/bash

java -server -XX:+TieredCompilation -XX:+AggressiveOpts \
  -Xmx4g -cp .:$CLOJURE_HOME/clojure-1.3.0.jar -Xbootclasspath/a:$ELEPHANT_TRACKS_HOME \
  -agentlib:ElephantTracks=javaPath=$JAVA_HOME/bin/java:classPath=$ELEPHANT_TRACKS_HOME/asm-3.1.jar:verbose=f:traceFile=/dev/stdout:outputFile=clojure-$1_$2:classReWriter=$ELEPHANT_TRACKS_HOME/elephantTracksRewriter.jar \
    $* | gzip -vc > clojure-$1_$2.trace.gz

