#!/bin/bash

java -server -XX:+TieredCompilation -XX:+AggressiveOpts \
  -Xmx4g -Xbootclasspath/a:$ELEPHANT_TRACKS_HOME \
  -agentlib:ElephantTracks=javaPath=$JAVA_HOME/bin/java:classPath=$ELEPHANT_TRACKS_HOME/asm-3.1.jar:verbose=f:traceFile="/dev/stdout":outputFile=java-$*:classReWriter=$ELEPHANT_TRACKS_HOME/elephantTracksRewriter.jar \
  -jar dacapo-9.12.jar -s small \
  $* | gzip -vc > java-$*.trace.gz


