#!/bin/bash

java -server -XX:+TieredCompilation -XX:+AggressiveOpts \
  -Xmx4g -Xbootclasspath/a:$ELEPHANT_TRACKS_HOME:$SCALA_HOME/lib/scala-library.jar \
  -agentlib:ElephantTracks=javaPath=$JAVA_HOME/bin/java:classPath=$ELEPHANT_TRACKS_HOME/asm-3.1.jar:verbose=f:traceFile=/dev/stdout:outputFile=scala-$*:classReWriter=$ELEPHANT_TRACKS_HOME/elephantTracksRewriter.jar \
  -jar scala-benchmark-suite-0.1.0-20120216.103539-3.jar -s small \
  $* | gzip -vc > scala-$*.trace.gz

